;**************************************************************
;     NALTOR
;**************************************************************
;   Copyright (c) 2010 Josef Sniatecki
;
; This program is free software; you can redistribute it and/or
; modify it under the terms of the GNU General Public License
; As published by the Free Software Foundation; either version
; 3 of the License, Or (at your option) any later version.
;
; This program is distributed in the hope that it will be
; useful, but WITHOUT ANY WARRANTY; without even the implied
; warranty of MERCHANTABILITY Or FITNESS For A PARTICULAR
; PURPOSE. See the GNU General Public License For more details.
;
; You should have received a copy of the GNU General Public
; License along With this program;
; If Not, see "http://www.gnu.org/licenses/".
;**************************************************************



;******************************************
; Includes
;******************************************

IncludePath "..\..\..\..\Includes"
IncludeFile "Standard.pbi"
IncludeFile "Operno.pbi"
IncludeFile "Keyboard.pbi"



;******************************************
; Structures
;******************************************

Structure Entry
  Type.i
  Name.s
EndStructure
Structure Job
  *Object.OpernoObject
  
  *Refresh.Integer
  *Function.OpernoObject
  *Disabled.Integer
  
  RestTime.i
EndStructure



;******************************************
; Variables & Initializations
;******************************************

InitOperno("..\..\DLL\Operno.dll")
OpernoImportLibrary("..\..\Libraries\naltor")



;******************************************
; Main
;******************************************

OpernoOpenConsole("Naltor")
OpernoOutput(0, "$white$Naltor$n$ (1.10)")
OpernoOutput(0, "Copyright " + #C + " 2010 Josef Sniatecki")
OpernoOutput(0, "")
OpernoOutput(0, "Close console by " + #Q + "exit" + #Q + ".")
OpernoOutput(0, "Use " + #Q + ".c" + #Q + " to clear the console buffer.")
OpernoOutputHL()

SetCurrentDirectory(GetPathPart(ProgramFilename()))
OpernoEvalFile("Init.op_c")

OpernoOutput(1, GetCurrentDirectory())
OpernoOutputHL()

If OpernoError()
  MessageRequester("Error", OpernoErrorMessage())
  End
EndIf

OpernoOpenUI()
End
; IDE Options = PureBasic 4.41 (Windows - x86)
; CursorPosition = 67
; FirstLine = 36
; Folding = 9
; EnableXP
; Executable = Naltor.exe